Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class CommandLinePicoContainer

    java.lang.Object
      org.picocontainer.containers.AbstractDelegatingPicoContainer
          org.picocontainer.containers.CommandLinePicoContainer

All Implemented Interfaces:
  Serializable, PicoContainer

Direct Known Subclasses:
  CommandLineArgumentsPicoContainer

    public class CommandLinePicoContainer

extends AbstractDelegatingPicoContainer

CommandLineArgumentsPicoContainer configured itself from array of strings which are most likely coming in as command line arguments

See Also:
  Serialized Form

Constructor Summary
`CommandLinePicoContainer(String[] arguments)`
`CommandLinePicoContainer(String[] arguments, PicoContainer parent)`
`CommandLinePicoContainer(String separator, String[] arguments)`
`CommandLinePicoContainer(String separator, String[] arguments, PicoContainer parent)`
`CommandLinePicoContainer(String separator, StringReader argumentsProps)`
`CommandLinePicoContainer(String separator, StringReader argumentProperties, String[] arguments)`
`CommandLinePicoContainer(String separator, StringReader argumentProperties, String[] arguments, PicoContainer parent)`

Method Summary
`
`<T> T`
` | `getComponent(Class<T> componentType)` Retrieve a component keyed by the component type.
`
`<T> List<ComponentAdapter<T>>`
` | `getComponentAdapters(Class<T> componentType)` Retrieve all component adapters inside this container that are associated with the specified type.
`MutablePicoContainer` | `getDelegate()`
`PicoContainer` | `getParent()` Retrieve the parent container of this container.
`void` | `setName(String s)`

Methods inherited from class org.picocontainer.containers.AbstractDelegatingPicoContainer
`accept, equals, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponents, getComponents, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandLinePicoContainer

    public CommandLinePicoContainer(String separator,
                                    String[] arguments)

### CommandLinePicoContainer

    public CommandLinePicoContainer(String separator,
                                    String[] arguments,
                                    PicoContainer parent)

### CommandLinePicoContainer

    public CommandLinePicoContainer(String separator,
                                    StringReader argumentsProps)
                             throws IOException

Throws:
  `IOException`

### CommandLinePicoContainer

    public CommandLinePicoContainer(String separator,
                                    StringReader argumentProperties,
                                    String[] arguments)
                             throws IOException

Throws:
  `IOException`

### CommandLinePicoContainer

    public CommandLinePicoContainer(String separator,
                                    StringReader argumentProperties,
                                    String[] arguments,
                                    PicoContainer parent)
                             throws IOException

Throws:
  `IOException`

### CommandLinePicoContainer

    public CommandLinePicoContainer(String[] arguments)

### CommandLinePicoContainer

    public CommandLinePicoContainer(String[] arguments,
                                    PicoContainer parent)

Method Detail

### getComponent

    public <T> T getComponent(Class<T> componentType)

  Description copied from interface: `PicoContainer`
  Retrieve a component keyed by the component type.

  Specified by:
    `getComponent` in interface `PicoContainer`
  Overrides:
    `getComponent` in class `AbstractDelegatingPicoContainer`
  Type Parameters:
    `T` - the type of the component.
  Parameters:
    `componentType` - the type of the component
  Returns:
    the typed resulting object instance or null if the object does not exist.

### getComponentAdapters

    public <T> List<ComponentAdapter<T>> getComponentAdapters(Class<T> componentType)

  Description copied from interface: `PicoContainer`
  Retrieve all component adapters inside this container that are associated with the specified type. The addComponent adapters from the parent container are not returned.

  Specified by:
    `getComponentAdapters` in interface `PicoContainer`
  Overrides:
    `getComponentAdapters` in class `AbstractDelegatingPicoContainer`
  Parameters:
    `componentType` - the type of the components.
  Returns:
    a collection containing all the `ComponentAdapter`s inside this container that are associated with the specified type. Changes to this collection will not be reflected in the container itself.

### getParent

    public PicoContainer getParent()

  Description copied from interface: `PicoContainer`
  Retrieve the parent container of this container.

  Specified by:
    `getParent` in interface `PicoContainer`
  Overrides:
    `getParent` in class `AbstractDelegatingPicoContainer`
  Returns:
    a `PicoContainer` instance, or `null` if this container does not have a parent.

### getDelegate

    public MutablePicoContainer getDelegate()

  Overrides:
    `getDelegate` in class `AbstractDelegatingPicoContainer`

### setName

    public void setName(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.